### 2.2.3 Running an EZwgl Application

When invoking an EZwgl program, you may pass a subset of the following command line options:

- `-display DISPLAY_NAME` This option sets the display name. It is the most common way to temporarily override the `DISPLAY` environment.

- `-geometry WIDTH`x`HEIGHT``XOFFSET``YOFFSET` This option sets the geometry and/or location of your application's main window. The `WIDTH`x`HEIGHT` part specifies a prefered dimension and the `XOFFSET``YOFFSET` specifies a prefered location. You may pass only a subset of the geometry specification. For example, the following specifications are all valid.

  - `-geometry 300x200+10+10`

  - `-geometry 300x200`

  - `-geometry 300`

  - `-geometry x200`

  - `-geometry 300+10-10`

  - `-geometry x200+10-10`

  - `-geometry -10+10`

  - `-geometry -10+`

  - `-geometry +10`

- `-visual VISUAL_TYPE` This option selects a visual type supported by your X server. Supported visual types are:

  - `PseudoColor`

  - `TrueColor`

  - `DirectColor`

  - `Grayscale`

  - `StaticColor`

  - `StaticGray`

- `-private_color_map` This option is relevent only for PseudoColor visuals. It tells EZwgl to allocate a private colormap instead of using the default colormap of your display. It is useful when your application is color hungry, (e.g. an interactive graphics application). Note: EZwgl will automatically allocate a private colormap when it cannot allocate the minimum number of 44 colors.

- `-background COLOR` or `-bg COLOR` This option overrides the default background color of your widgets. However, it has no effect on widgets with hardcoded background color. Here are some of my favoriate background colors.

  - `-bg "PeachPuff"`

  - `-bg "#fdc"`

  - `-bg "#afaf00"`
  There are three ways to alter the default background color of an EZ widget. The first one is to hardcode the background color into the widget data structure. This method has the highest priority and the set background color will be honored if at all possible. Moreover, all its descendants' background color, if not explicitly set, will be set to this color. The second method is to override the default background color by invoking `EZ_SetGlobalBackground` at initialization time. This method has the lowest priority. The third method is the `-bg COLOR` command line option. The last two methods alters the default background for all widgets in an EZ application.

- `-backingStore` This option informs EZwgl to use X server's backing store attributes for all widget windows, if available. It is useful if your application needs to move windows around constantly. For transient widgets (widgets with the `EZ_TRANSIENT` attributes set to `True`) like menus and free-labels, the backing store window attribute is automatically set by the EZwgl.

HTML Documentation Maintainance:`Arturo Espinosa <arturo@nuclecu.unam.mx>`